This URL retrieves the Gateway Anti-Malware updating configuration for domain.
Resource URL
GET /domain/<domain_id>/gamupdatesettings
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domainId | Domain id | Number | Yes |
Response Parameters
Following fields are returned.
| Field Name | Description | Data Type |
|---|---|---|
| inheritSettings | Inherit settings from parent domain | Boolean |
| enableAutoUpdate | Enable automatic update of Gateway Anti-Malware | Boolean |
| updateInterval | Time interval of next update | String |
Example
Request
GET https://<NSM_IP>/sdkapi/domain/0/gamupdatesettings
Response
{
"inheritSettings": false,
"enableAutoUpdate": false,
"updateInterval": "6 hrs"
}
Error Information
Following error code is returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1105 | Invalid domain |